package com.huimv.admin.controller;

import cn.hutool.core.util.ObjectUtil;
import com.huimv.admin.common.utils.Result;
import com.huimv.admin.controller.feedVo.FeedVo;
import org.springframework.util.DigestUtils;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

@RestController
@RequestMapping("/receive")
@CrossOrigin
public class ReceiveController {

    @RequestMapping("/feed")
    public Result list(HttpServletRequest httpServletRequest, @RequestBody FeedVo feedVo) {
        try {
            if (ObjectUtil.isEmpty(feedVo)){
                return new Result(10002,"数据格式不正确",false);
            }
            StringBuilder stringBuilder = new StringBuilder();
            stringBuilder.append(feedVo.getDateTime())
                    .append(feedVo.getFarmName())
                    .append(feedVo.getFarmId())
                    .append(feedVo.getPigStyName())
                    .append(feedVo.getPigStyId())
                    .append(feedVo.getFloorName())
                    .append(feedVo.getFloorId())
                    .append(feedVo.getFeedName())
                    .append(feedVo.getWeight());
            String mac = feedVo.getMac();
            String s = DigestUtils.md5DigestAsHex(stringBuilder.toString().getBytes()).toLowerCase();
            System.out.println(s);
            if (!s.equals(mac)){
                return new Result(10001,"序列校验不通过",false);
            }
            System.out.println(feedVo.toString());
            return new Result(10000,"操作成功",true);
        }catch (Exception e){
            System.out.println(e);
            return new Result(10003,"其它错误",false);
        }

    }
}
