package com.huimv.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * pcr 表
 * </p>
 *
 * @author author
 * @since 2023-07-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("bill_pcr")
public class BillPcr implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 0正常  1复审
     */
    private Integer pcrType;

    /**
     * 来访类型 0人员  1环保车 2拉猪车 3饲料车  4送猪车 5物资车  6送餐
     */
    private Integer vistitType;

    /**
     * 目的地
     */
    private String destName;

    /**
     * 目的地 id
     */
    private Integer destId;

    /**
     * 申请人
     */
    private String admissionUserName;

    /**
     * 申请人id
     */
    private Integer admissionUserId;

    /**
     * 来访时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm" ,timezone = "GMT+8")
    private LocalDateTime vistitDate;

    /**
     * 提交时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm" ,timezone = "GMT+8")
    private LocalDateTime subDate;

    /**
     * 检测时间
     */

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm" ,timezone = "GMT+8")
    private Date checkDate;

    /**
     * 当前状态 0待审批 1合格  2异常 3已失效
     */
    private Integer billStatus;

    /**
     * 处理时间
     */

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm" ,timezone = "GMT+8")
    private Date passDate;

    /**
     * 处理人
     */
    private String passUserName;

    /**
     * 处理人id
     */
    private Integer passUserId;

    /**
     * 进程id
     */
    private Integer processId;

    private Integer farmId;

    private String testLocation;

    private Integer testLocationId;

    private Integer admissionId;

    private String phone;

}
